> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Calculation Metadata



## OpenAPI

````yaml https://api.ionworks.com/openapi.json post /pipelines/calculations/metadata
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.ionworks.com
    description: Production
security: []
paths:
  /pipelines/calculations/metadata:
    post:
      tags:
        - Pipeline
      summary: Get Calculation Metadata
      operationId: get_calculation_metadata_pipelines_calculations_metadata_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PipelineCalculationMetadataRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PipelineCalculationMetadataResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PipelineCalculationMetadataRequest:
      properties:
        subtype:
          anyOf:
            - $ref: '#/components/schemas/ElementSubtype'
            - type: string
            - type: 'null'
          title: Subtype
        electrode:
          anyOf:
            - $ref: '#/components/schemas/Electrode'
            - type: 'null'
        method:
          anyOf:
            - type: string
            - type: 'null'
          title: Method
        voltage_limits:
          anyOf:
            - items:
                type: number
              type: array
            - type: 'null'
          title: Voltage Limits
        options:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Options
        soc:
          anyOf:
            - type: string
            - type: 'null'
          title: Soc
      type: object
      title: PipelineCalculationMetadataRequest
    PipelineCalculationMetadataResponse:
      properties:
        input_parameters:
          items:
            type: string
          type: array
          title: Input Parameters
        required_parameters:
          items:
            type: string
          type: array
          title: Required Parameters
        allowed_parameters:
          items:
            type: string
          type: array
          title: Allowed Parameters
        required_variables:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Required Variables
      type: object
      required:
        - input_parameters
        - required_parameters
        - allowed_parameters
      title: PipelineCalculationMetadataResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ElementSubtype:
      type: string
      enum:
        - Half Cell OCP
        - Full Cell OCV
        - Current Driven
      title: ElementSubtype
    Electrode:
      type: string
      enum:
        - negative
        - positive
      title: Electrode
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````